Block User

Use this API to block the user.
"Works for On-Prem Only"

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

ParametersValueDescription
Authorization{{PARTNER_APP_TOKEN}}Access Token for the application
APP ID{{APP_ID}}Unique Identifier for Gupshup App
phone91xxxxxxxPhone number
isBlockedtrue/falseBlock app user

Sample Request

curl --location --request PUT 'https://partner.gupshup.io/partner/app/{{APP_ID}}/block' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'phone={{PHONE_NUMBER}}' \
--data-urlencode 'isBlocked=false'

Sample Response

 {
        "status": "success"
    }
Path Params
string
required
Form Data
integer
boolean
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!